# Notification of an Alert Status Update

The notification of an Alert's status update will push a notification to the merchants system that an alert has had its status updated. The merchant must opt in to receive these notifications\
\
This will happen when the status field of an alert has changed, if any other field is updated and the status remains the same, it will not send a notification.

The merchant must provide TxShield with the URL that they want the status update notifications sent to. This must be a https URL.\
The merchant can also, and it's also strongly recommended, that they protect the endpoint with a long lived bearer token that they provide to TxAlert.

<mark style="color:green;">`POST`</mark> `https://{merchant_supplied_url}`

The data in this call is sent as x-www-form-urlencoded data.

#### Request Body

<table><thead><tr><th width="253">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>action</td><td>Sting</td><td>"statusupdate"</td></tr><tr><td>alert_id</td><td>String</td><td>Alert ID from TxShield.</td></tr><tr><td>status</td><td>String</td><td>Status of the transaction. - RESOLVED - DECLINED - RDR_DELETE. See <a href="/pages/mlmKsJz63WaqHyWRqlPT">status page </a>for details.</td></tr><tr><td>reason_code</td><td>String</td><td>reason code that was updated. In case of RDR_DELETE, the reason_code will be empty Refer table below</td></tr><tr><td>merchant_update_on</td><td>String</td><td>Date when the update was received from merchant(not available for RDR Delete)</td></tr><tr><td>outcome_updated_on</td><td>String</td><td>Date when provider was updated successfully(not available for RDR Delete)</td></tr><tr><td>alert_outcome_amount</td><td>String</td><td>amount refunded.  available if present in the status update </td></tr><tr><td>alert_outcome_currency</td><td>String</td><td>currency of the amount refunded. available if present in the status update</td></tr><tr><td>alert_outcome_action_date</td><td>String</td><td>outcome action date. available if present in the status update</td></tr><tr><td>tx_details[]</td><td>Array</td><td>variable information, available only if present in status update</td></tr><tr><td>merchant_notes</td><td>String</td><td>available only if present in the status update</td></tr><tr><td>comments</td><td>String</td><td>available only if present in the status update</td></tr></tbody></table>

### Example

#### **Headers**

```
Accept: application/json
Content-Type: application/x-www-form-urlencoded
Authorization: {BEARER_TOKEN_VALUE_TO_BE_GIVEN_BY_THE_MERCHANT}
```

#### **Data - full**

The full data set being sent. The data in this call is sent as x-www-form-urlencoded data.

```
action=statusupdate&alert_id=1000&status=wip&reason_code=000.001
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payshield.ai/txalerts-dispute-alerts/webhooks/notification-of-an-alert-status-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
